/*
 *	Copyright (c) 1994, 1995 by Jeremy Cooperstock and Steve Kotsopoulos,
 *	All Rights Reserved.
 */

/*
 * afdpsend.h - header file for publisher
 *
 * rcsid[] = "$Id: afdpsend.h,v 1.6 1998/07/02 19:37:36 steve Exp $";
 *
 */

/* misc globals */
extern u_long  cache_limit;
extern u_short infosize;
extern u_short data_size;
extern seq_t   seq_total;
extern u_short last_data_size;
extern char    *command;

/* function prototypes for afdpsend.c */
int Publish();
void Usage(), Version();
void SendMsgPacket(), CheckInputs(), HandleControlPacket();
void SendToGroup(), ResendPacket(), SkipPacket();

/* function prototypes for cache.c */
int Fetch();
u_long OpenFile();
void CreateCache(), DestroyCache();

/* function prototypes for timer.c */
void StartTimer(), CancelTimer(), ClockTick();
